/**
 * @file comms_al.h
 *
 * @brief #TODO
 */

#ifndef COMMS_AL_H_
#define COMMS_AL_H_
#include <stdint.h>


int8_t udp_send(void * intf_handle, uint32_t addr, uint32_t port, uint8_t *data, uint8_t size);
int32_t tcp_send(uint32_t addr, uint32_t port, uint8_t *data, uint32_t size);
int8_t tcp_udp_recv(void * intf_handle, uint32_t addr, uint32_t port, uint8_t *data, uint8_t size);

#endif /* COMMS_AL_H_ */